Passa al contenuto principale

HostingModSecurityRuleListResponse

Successful response with a list of HostingModSecurityRule

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items returned by the operation

  • Array [
  • rule_idintegerrequired
    hosting_idintegerrequired

    Id of the hosting (GET /api/v3/hostings/{hosting_id})

    rule_numberstringrequired

    Number of the rule in ModSecurity

    descriptionstring | nullnullablerequired

    Message of the rule found by the scan, or the description given when it was added

    includedbooleanrequired

    Whether the rule is disabled on the hosting: it is in the list of rules that ModSecurity does not apply

  • ]
  • metarequired

    Always null: only the paginated lists have a meta

    Constant value: null
    HostingModSecurityRuleListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "rule_id": 0,
    "hosting_id": 0,
    "rule_number": "string",
    "description": "string",
    "included": true
    }
    ]
    }